Bug 1021099 - /etc/httpd/conf.d/puppet.conf should have pulp prefix to avoid puppetmaster conflict
/etc/httpd/conf.d/puppet.conf should have pulp prefix to avoid puppetmaster c...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: puppet-support (Show other bugs)
Master
Unspecified Unspecified
high Severity medium
: ---
: 2.3.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 07:47 EDT by Dominic Cleal
Modified: 2013-12-09 09:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2013-10-19 07:47:56 EDT
Description of problem:
pulp-puppet-plugins installs /etc/httpd/conf.d/puppet.conf to provide the Puppet Forge compatible API, however this path is often used for the puppetmaster vhost itself when running under Passenger.

Currently when using Katello, the puppetmaster installation via node-installer is causing this file to be overwritten.

I'd suggest prefixing the file with "pulp_" to be clearer as to what the service is.

Version-Release number of selected component (if applicable):
pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql pulp-puppet-plugins | grep /etc/httpd

Actual results:
/etc/httpd/conf.d/puppet.conf

Expected results:
/etc/httpd/conf.d/pulp_puppet.conf

Additional info:
https://github.com/theforeman/puppet-puppet/blob/master/manifests/server/passenger.pp#L42
Comment 2 Barnaby Court 2013-10-25 14:56:51 EDT
Bugzilla: https://github.com/pulp/pulp_puppet/pull/81
Comment 3 Jeff Ortel 2013-11-01 18:28:59 EDT
build: 2.3.0-0.27.beta
Comment 4 Preethi Thomas 2013-11-05 13:51:54 EST
verified
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.27.beta.el6.noarch

root@qe-blade-08 ~]#  rpm -ql pulp-puppet-plugins | grep /etc/httpd
/etc/httpd/conf.d/pulp_puppet.conf
Comment 5 Preethi Thomas 2013-12-09 09:30:01 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.